using Autofac;
using e_suite.API.Common;
using e_suite.API.Common.repository;
using e_suite.DependencyInjection;
using e_suite.Modules.SequenceManager.Repository;

namespace e_suite.Modules.SequenceManager;

public class IocRegistration : IIocRegistration
{
    public void RegisterTypes(ContainerBuilder builder)
    {
        builder.RegisterType<SequenceManagerRepository>().As<ISequenceManagerRepository>().InstancePerLifetimeScope();

        builder.RegisterType<SequenceManager>().As<ISequenceManager>().InstancePerLifetimeScope();
    }
}